<?php
namespace Vitrium\Drm\VitriumClasses;

// Class used for Vitrium login
class ResponseContext implements \JsonSerializable {
    private $clientNonce;   // client nonce; generated GUID
    private $username;      // Vitrium staff username
    private $applicationId; // string
    private $clientHash;    // Vitrium staff password hash

    // Property getters/setters
    public function getClientNonce() {
        return $this->clientNonce;
    }
    public function getUsername() {
        return $this->username;
    }
    public function getApplicationId() {
        return $this->applicationId;
    }
    public function getClientHash() {
        return $this->clientHash;
    }
    public function setClientNonce($nonce) {
        $this->clientNonce = $nonce;
    }
    public function setUsername($username) {
        $this->username = $username;
    }
    public function setApplicationId($appId) {
        $this->applicationId = $appId;
    }
    public function setClientHash($hash) {
        $this->clientHash = $hash;
    }

    public function jsonSerialize() {
        return [
            'ClientNonce' => $this->clientNonce,
            'UserName' => $this->username,
            'ApplicationId' => $this->applicationId,
            'ClientHash' => $this->clientHash
        ];
    }
}
